# QSpacerItem Class Reference

### [com.trolltech.qt.gui package]

Inherits QLayoutItem.

### Constructor

- void QSpacerItem(int w, int h, Policy hData, Policy vData)

### Constructor Properties

- prototype: The QSpacerItem prototype object

### Prototype Object Properties

- void changeSize(int w, int h, Policy hData, Policy vData)

### Instance Properties

QSpacerItem objects have no special properties beyond those inherited from the QSpacerItem prototype object.